library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity ctrl_mem is
    Port ( Addr : in std_logic_vector(3 downto 0);
           Data : out std_logic_vector(7 downto 0));
end ctrl_mem;

architecture rtl of ctrl_mem is

TYPE t_ctrl_mem IS ARRAY (0 to 15) OF std_logic_vector(7 downto 0);

CONSTANT cm: t_ctrl_mem := (
                            "1000-000", -- 0000 Init
									 "00011100", -- 0001 RdA
									 "1010-000", -- 0010 RdA2
									 "1001-000", -- 0011 RdAW
									 "1010-000", -- 0100 RdA22
									 "01000010", -- 0101 RdB
									 "1000-000", -- 0110 Init2
									 "1011-000", -- 0111 WaitFin
									 "00111001", -- 1000 Exec
									 OTHERS => (OTHERS=> '-') -- dont'cares
									 );
begin

Data <= cm(conv_integer(Addr));

end rtl;
