-- H:\PROJ\DOP_JPO\X36JPO_VZOR
-- VHDL Test Bench created by
-- HDL Bencher 5.1i
-- Tue Apr 26 14:55:24 2005
-- 
-- Notes:
-- 1) This testbench has been automatically generated from
--   your Test Bench Waveform
-- 2) To use this as a user modifiable testbench do the following:
--   - Save it as a file with a .vhd extension (i.e. File->Save As...)
--   - Add it to your project as a testbench source (i.e. Project->Add Source...)
-- 

LIBRARY  ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;

LIBRARY  UNISIM;
USE UNISIM.Vcomponents.ALL;

LIBRARY ieee;
USE IEEE.STD_LOGIC_TEXTIO.ALL;
USE STD.TEXTIO.ALL;

ENTITY testbench IS
END testbench;

ARCHITECTURE testbench_arch OF testbench IS
-- If you get a compiler error on the following line,
-- from the menu do Options->Configuration select VHDL 87
FILE RESULTS: TEXT OPEN WRITE_MODE IS "results.txt";
	COMPONENT example_core_binary
		PORT (
			Button : IN  STD_LOGIC;
			CLK : IN  STD_LOGIC;
			Reset : IN  STD_LOGIC;
			swtch : IN  STD_LOGIC_VECTOR (7 DOWNTO 0);
			LCD : OUT  STD_LOGIC_VECTOR (63 DOWNTO 0);
			dio : OUT  STD_LOGIC_VECTOR (15 DOWNTO 0);
			sseg : OUT  STD_LOGIC_VECTOR (15 DOWNTO 0)
		);
	END COMPONENT;

	SIGNAL Button : STD_LOGIC;
	SIGNAL CLK : STD_LOGIC;
	SIGNAL Reset : STD_LOGIC;
	SIGNAL swtch : STD_LOGIC_VECTOR (7 DOWNTO 0);
	SIGNAL LCD : STD_LOGIC_VECTOR (63 DOWNTO 0);
	SIGNAL dio : STD_LOGIC_VECTOR (15 DOWNTO 0);
	SIGNAL sseg : STD_LOGIC_VECTOR (15 DOWNTO 0);

BEGIN
	UUT : example_core_binary
	PORT MAP (
		Button => Button,
		CLK => CLK,
		Reset => Reset,
		swtch => swtch,
		LCD => LCD,
		dio => dio,
		sseg => sseg
	);

	PROCESS -- clock process for CLK,
	BEGIN
		CLOCK_LOOP : LOOP
		CLK <= transport '0';
		WAIT FOR 2 ns;
		CLK <= transport '1';
		WAIT FOR 2 ns;
		WAIT FOR 8 ns;
		CLK <= transport '0';
		WAIT FOR 8 ns;
		END LOOP CLOCK_LOOP;
	END PROCESS;

	PROCESS   -- Process for CLK
		VARIABLE TX_OUT : LINE;
		VARIABLE TX_ERROR : INTEGER := 0;

		PROCEDURE CHECK_LCD(
			next_LCD : STD_LOGIC_VECTOR (63 DOWNTO 0);
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (LCD /= next_LCD) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns LCD="));
				write(TX_LOC, LCD);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_LCD);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_dio(
			next_dio : STD_LOGIC_VECTOR (15 DOWNTO 0);
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (dio /= next_dio) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns dio="));
				write(TX_LOC, dio);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_dio);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_sseg(
			next_sseg : STD_LOGIC_VECTOR (15 DOWNTO 0);
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (sseg /= next_sseg) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns sseg="));
				write(TX_LOC, sseg);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_sseg);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		BEGIN
		-- --------------------
		Button <= transport '0';
		Reset <= transport '1';
		swtch <= transport STD_LOGIC_VECTOR'("00000000"); --0
		-- --------------------
		WAIT FOR 4 ns; -- Time=4 ns
		CHECK_LCD("0000000000000000000000000000000000000000000000000000000000000000",4); --0
		-- --------------------
		WAIT FOR 16 ns; -- Time=20 ns
		Reset <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=40 ns
		Button <= transport '1';
		swtch <= transport STD_LOGIC_VECTOR'("10001010"); --8A
		-- --------------------
		WAIT FOR 40 ns; -- Time=80 ns
		Button <= transport '0';
		swtch <= transport STD_LOGIC_VECTOR'("00101111"); --2F
		-- --------------------
		WAIT FOR 40 ns; -- Time=120 ns
		Button <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=140 ns
		Button <= transport '1';
		-- --------------------
		WAIT FOR 40 ns; -- Time=180 ns
		Button <= transport '0';
		swtch <= transport STD_LOGIC_VECTOR'("10000000"); --80
		-- --------------------
		WAIT FOR 20 ns; -- Time=200 ns
		Button <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=220 ns
		Button <= transport '1';
		-- --------------------
		WAIT FOR 40 ns; -- Time=260 ns
		Button <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=280 ns
		swtch <= transport STD_LOGIC_VECTOR'("11111111"); --FF
		-- --------------------
		WAIT FOR 40 ns; -- Time=320 ns
		Button <= transport '1';
		-- --------------------
		WAIT FOR 40 ns; -- Time=360 ns
		Button <= transport '0';
		-- --------------------
		WAIT FOR 22 ns; -- Time=382 ns
		-- --------------------

		IF (TX_ERROR = 0) THEN 
			write(TX_OUT,string'("No errors or warnings"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Simulation successful (not a failure).  No problems detected. "
				SEVERITY FAILURE;
		ELSE
			write(TX_OUT, TX_ERROR);
			write(TX_OUT, string'(
				" errors found in simulation"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Errors found during simulation"
				SEVERITY FAILURE;
		END IF;
	END PROCESS;
END testbench_arch;

CONFIGURATION example_core_binary_cfg OF testbench IS
	FOR testbench_arch
	END FOR;
END example_core_binary_cfg;
