-- Vhdl model created from schematic ex_ctrl_binary.sch - Mon May 30 11:28:01 2005

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
-- synopsys translate_off
LIBRARY UNISIM;
USE UNISIM.Vcomponents.ALL;
-- synopsys translate_on

ENTITY ex_ctrl_binary IS
   PORT ( Button	:	IN	STD_LOGIC; 
          CLK	:	IN	STD_LOGIC; 
          reset	:	IN	STD_LOGIC; 
          ECA	:	OUT	STD_LOGIC; 
          ECB	:	OUT	STD_LOGIC; 
          ECC	:	OUT	STD_LOGIC);

end ex_ctrl_binary;

ARCHITECTURE SCHEMATIC OF ex_ctrl_binary IS
   SIGNAL D0	:	STD_LOGIC;
   SIGNAL D1	:	STD_LOGIC;
   SIGNAL D2	:	STD_LOGIC;
   SIGNAL Q0	:	STD_LOGIC;
   SIGNAL Q1	:	STD_LOGIC;
   SIGNAL Q2	:	STD_LOGIC;
   SIGNAL XLXN_10	:	STD_LOGIC;
   SIGNAL XLXN_11	:	STD_LOGIC;
   SIGNAL XLXN_22	:	STD_LOGIC;
   SIGNAL XLXN_23	:	STD_LOGIC;
   SIGNAL XLXN_24	:	STD_LOGIC;
   SIGNAL XLXN_25	:	STD_LOGIC;
   SIGNAL XLXN_47	:	STD_LOGIC;
   SIGNAL XLXN_48	:	STD_LOGIC;
   SIGNAL XLXN_49	:	STD_LOGIC;
   SIGNAL XLXN_9	:	STD_LOGIC;

   ATTRIBUTE BOX_TYPE : STRING;
   ATTRIBUTE INIT : STRING ;
   ATTRIBUTE INIT OF XLXI_3 : LABEL IS "0";
   ATTRIBUTE INIT OF XLXI_2 : LABEL IS "0";
   ATTRIBUTE INIT OF XLXI_1 : LABEL IS "0";

   COMPONENT AND2
      PORT ( I0	:	IN	STD_LOGIC; 
             I1	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF AND2 : COMPONENT IS "BLACK_BOX";
   COMPONENT AND2B1
      PORT ( I0	:	IN	STD_LOGIC; 
             I1	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF AND2B1 : COMPONENT IS "BLACK_BOX";
   COMPONENT AND3
      PORT ( I0	:	IN	STD_LOGIC; 
             I1	:	IN	STD_LOGIC; 
             I2	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF AND3 : COMPONENT IS "BLACK_BOX";
   COMPONENT AND3B1
      PORT ( I0	:	IN	STD_LOGIC; 
             I1	:	IN	STD_LOGIC; 
             I2	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF AND3B1 : COMPONENT IS "BLACK_BOX";
   COMPONENT AND3B2
      PORT ( I0	:	IN	STD_LOGIC; 
             I1	:	IN	STD_LOGIC; 
             I2	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF AND3B2 : COMPONENT IS "BLACK_BOX";
   COMPONENT FDC
   -- synopsys translate_off
   GENERIC(       INIT : BIT := '0'   );
   -- synopsys translate_on
      PORT ( C	:	IN	STD_LOGIC; 
             CLR	:	IN	STD_LOGIC; 
             D	:	IN	STD_LOGIC; 
             Q	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF FDC : COMPONENT IS "BLACK_BOX";
   COMPONENT OR3
      PORT ( I0	:	IN	STD_LOGIC; 
             I1	:	IN	STD_LOGIC; 
             I2	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF OR3 : COMPONENT IS "BLACK_BOX";
   COMPONENT OR4
      PORT ( I0	:	IN	STD_LOGIC; 
             I1	:	IN	STD_LOGIC; 
             I2	:	IN	STD_LOGIC; 
             I3	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF OR4 : COMPONENT IS "BLACK_BOX";
BEGIN

   XLXI_16 : AND2
      PORT MAP (I0=>Q2, I1=>Button, O=>XLXN_48);

   XLXI_11 : AND2
      PORT MAP (I0=>Q2, I1=>Q0, O=>XLXN_22);

   XLXI_15 : AND2B1
      PORT MAP (I0=>Q1, I1=>Q2, O=>XLXN_47);

   XLXI_17 : AND3
      PORT MAP (I0=>Q1, I1=>Q0, I2=>Button, O=>XLXN_49);

   XLXI_20 : AND3B1
      PORT MAP (I0=>Q1, I1=>Q0, I2=>Q2, O=>ECC);

   XLXI_13 : AND3B1
      PORT MAP (I0=>Q0, I1=>Q1, I2=>Button, O=>XLXN_24);

   XLXI_8 : AND3B2
      PORT MAP (I0=>Q2, I1=>Button, I2=>Q1, O=>XLXN_10);

   XLXI_9 : AND3B2
      PORT MAP (I0=>Q0, I1=>Q1, I2=>Button, O=>XLXN_11);

   XLXI_7 : AND3B2
      PORT MAP (I0=>Q1, I1=>Q0, I2=>Q2, O=>XLXN_9);

   XLXI_12 : AND3B2
      PORT MAP (I0=>Q2, I1=>Q1, I2=>Q0, O=>XLXN_23);

   XLXI_14 : AND3B2
      PORT MAP (I0=>Q2, I1=>Button, I2=>Q1, O=>XLXN_25);

   XLXI_18 : AND3B2
      PORT MAP (I0=>Q2, I1=>Q1, I2=>Q0, O=>ECA);

   XLXI_19 : AND3B2
      PORT MAP (I0=>Q0, I1=>Q1, I2=>Q2, O=>ECB);

   XLXI_3 : FDC
   -- synopsys translate_off
   GENERIC MAP (       INIT => '0'   )
   -- synopsys translate_on
      PORT MAP (C=>CLK, CLR=>reset, D=>D2, Q=>Q2);

   XLXI_2 : FDC
   -- synopsys translate_off
   GENERIC MAP (       INIT => '0'   )
   -- synopsys translate_on
      PORT MAP (C=>CLK, CLR=>reset, D=>D1, Q=>Q1);

   XLXI_1 : FDC
   -- synopsys translate_off
   GENERIC MAP (       INIT => '0'   )
   -- synopsys translate_on
      PORT MAP (C=>CLK, CLR=>reset, D=>D0, Q=>Q0);

   XLXI_6 : OR3
      PORT MAP (I0=>XLXN_49, I1=>XLXN_48, I2=>XLXN_47, O=>D2);

   XLXI_4 : OR3
      PORT MAP (I0=>XLXN_11, I1=>XLXN_10, I2=>XLXN_9, O=>D0);

   XLXI_10 : OR4
      PORT MAP (I0=>XLXN_25, I1=>XLXN_24, I2=>XLXN_23, I3=>XLXN_22, O=>D1);

END SCHEMATIC;



