-- Vhdl model created from schematic example_core_binary.sch - Mon May 30 11:27:58 2005

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
-- synopsys translate_off
LIBRARY UNISIM;
USE UNISIM.Vcomponents.ALL;
-- synopsys translate_on

ENTITY example_core_binary IS
   PORT ( Button	:	IN	STD_LOGIC; 
          CLK	:	IN	STD_LOGIC; 
          Reset	:	IN	STD_LOGIC; 
          swtch	:	IN	STD_LOGIC_VECTOR (7 DOWNTO 0); 
          LCD	:	OUT	STD_LOGIC_VECTOR (63 DOWNTO 0); 
          dio	:	OUT	STD_LOGIC_VECTOR (15 DOWNTO 0); 
          sseg	:	OUT	STD_LOGIC_VECTOR (15 DOWNTO 0));

end example_core_binary;

ARCHITECTURE SCHEMATIC OF example_core_binary IS
   SIGNAL XLXN_1	:	STD_LOGIC;
   SIGNAL XLXN_2	:	STD_LOGIC;
   SIGNAL XLXN_3	:	STD_LOGIC;

   ATTRIBUTE BOX_TYPE : STRING;

   COMPONENT ex_ctrl_binary
      PORT ( Button	:	IN	STD_LOGIC; 
             CLK	:	IN	STD_LOGIC; 
             reset	:	IN	STD_LOGIC; 
             ECA	:	OUT	STD_LOGIC; 
             ECB	:	OUT	STD_LOGIC; 
             ECC	:	OUT	STD_LOGIC);
   END COMPONENT;

   COMPONENT example_data
      PORT ( ECA	:	IN	STD_LOGIC; 
             clk	:	IN	STD_LOGIC; 
             res	:	IN	STD_LOGIC; 
             ECC	:	IN	STD_LOGIC; 
             data	:	IN	STD_LOGIC_VECTOR (7 DOWNTO 0); 
             ECB	:	IN	STD_LOGIC; 
             A	:	OUT	STD_LOGIC_VECTOR (7 DOWNTO 0); 
             C	:	OUT	STD_LOGIC_VECTOR (7 DOWNTO 0); 
             OVERFLOW	:	OUT	STD_LOGIC; 
             B	:	OUT	STD_LOGIC_VECTOR (7 DOWNTO 0));
   END COMPONENT;

   COMPONENT GND
      PORT ( G	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF GND : COMPONENT IS "BLACK_BOX";
   COMPONENT zeros16
      PORT ( dout	:	OUT	STD_LOGIC_VECTOR (15 DOWNTO 0));
   END COMPONENT;

   COMPONENT zeros32
      PORT ( dout	:	OUT	STD_LOGIC_VECTOR (31 DOWNTO 0));
   END COMPONENT;

   COMPONENT zeros4
      PORT ( dout	:	OUT	STD_LOGIC_VECTOR (3 DOWNTO 0));
   END COMPONENT;

   COMPONENT zeros8
      PORT ( dout	:	OUT	STD_LOGIC_VECTOR (7 DOWNTO 0));
   END COMPONENT;

BEGIN

   XLXI_20 : ex_ctrl_binary
      PORT MAP (Button=>Button, CLK=>CLK, reset=>Reset, ECA=>XLXN_1,
      ECB=>XLXN_2, ECC=>XLXN_3);

   XLXI_2 : example_data
      PORT MAP (ECA=>XLXN_1, clk=>CLK, res=>Reset, ECC=>XLXN_3,
      data(7)=>swtch(7), data(6)=>swtch(6), data(5)=>swtch(5),
      data(4)=>swtch(4), data(3)=>swtch(3), data(2)=>swtch(2),
      data(1)=>swtch(1), data(0)=>swtch(0), ECB=>XLXN_2, A(7)=>sseg(15),
      A(6)=>sseg(14), A(5)=>sseg(13), A(4)=>sseg(12), A(3)=>sseg(11),
      A(2)=>sseg(10), A(1)=>sseg(9), A(0)=>sseg(8), C(7)=>LCD(7), C(6)=>LCD(6),
      C(5)=>LCD(5), C(4)=>LCD(4), C(3)=>LCD(3), C(2)=>LCD(2), C(1)=>LCD(1),
      C(0)=>LCD(0), OVERFLOW=>dio(0), B(7)=>sseg(7), B(6)=>sseg(6),
      B(5)=>sseg(5), B(4)=>sseg(4), B(3)=>sseg(3), B(2)=>sseg(2),
      B(1)=>sseg(1), B(0)=>sseg(0));

   XLXI_11 : GND
      PORT MAP (G=>dio(3));

   XLXI_12 : GND
      PORT MAP (G=>dio(2));

   XLXI_13 : GND
      PORT MAP (G=>dio(1));

   XLXI_17 : zeros16
      PORT MAP (dout(15)=>LCD(31), dout(14)=>LCD(30), dout(13)=>LCD(29),
      dout(12)=>LCD(28), dout(11)=>LCD(27), dout(10)=>LCD(26),
      dout(9)=>LCD(25), dout(8)=>LCD(24), dout(7)=>LCD(23), dout(6)=>LCD(22),
      dout(5)=>LCD(21), dout(4)=>LCD(20), dout(3)=>LCD(19), dout(2)=>LCD(18),
      dout(1)=>LCD(17), dout(0)=>LCD(16));

   XLXI_15 : zeros32
      PORT MAP (dout(31)=>LCD(63), dout(30)=>LCD(62), dout(29)=>LCD(61),
      dout(28)=>LCD(60), dout(27)=>LCD(59), dout(26)=>LCD(58),
      dout(25)=>LCD(57), dout(24)=>LCD(56), dout(23)=>LCD(55),
      dout(22)=>LCD(54), dout(21)=>LCD(53), dout(20)=>LCD(52),
      dout(19)=>LCD(51), dout(18)=>LCD(50), dout(17)=>LCD(49),
      dout(16)=>LCD(48), dout(15)=>LCD(47), dout(14)=>LCD(46),
      dout(13)=>LCD(45), dout(12)=>LCD(44), dout(11)=>LCD(43),
      dout(10)=>LCD(42), dout(9)=>LCD(41), dout(8)=>LCD(40), dout(7)=>LCD(39),
      dout(6)=>LCD(38), dout(5)=>LCD(37), dout(4)=>LCD(36), dout(3)=>LCD(35),
      dout(2)=>LCD(34), dout(1)=>LCD(33), dout(0)=>LCD(32));

   XLXI_10 : zeros4
      PORT MAP (dout(3)=>dio(7), dout(2)=>dio(6), dout(1)=>dio(5),
      dout(0)=>dio(4));

   XLXI_9 : zeros8
      PORT MAP (dout(7)=>dio(15), dout(6)=>dio(14), dout(5)=>dio(13),
      dout(4)=>dio(12), dout(3)=>dio(11), dout(2)=>dio(10), dout(1)=>dio(9),
      dout(0)=>dio(8));

   XLXI_16 : zeros8
      PORT MAP (dout(7)=>LCD(15), dout(6)=>LCD(14), dout(5)=>LCD(13),
      dout(4)=>LCD(12), dout(3)=>LCD(11), dout(2)=>LCD(10), dout(1)=>LCD(9),
      dout(0)=>LCD(8));

END SCHEMATIC;



