-- Vhdl model created from schematic example_top_binary.sch - Mon May 30 11:27:57 2005

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
-- synopsys translate_off
LIBRARY UNISIM;
USE UNISIM.Vcomponents.ALL;
-- synopsys translate_on

ENTITY example_top_binary IS
   PORT ( clk	:	IN	STD_LOGIC; 
          reset	:	IN	STD_LOGIC; 
          addr	:	OUT	STD_LOGIC_VECTOR (6 DOWNTO 0); 
          cs	:	OUT	STD_LOGIC; 
          dio2clk	:	OUT	STD_LOGIC; 
          lcd_e	:	OUT	STD_LOGIC; 
          lcd_rs	:	OUT	STD_LOGIC; 
          lcd_rw	:	OUT	STD_LOGIC; 
          oe	:	OUT	STD_LOGIC; 
          we	:	OUT	STD_LOGIC; 
          data	:	INOUT	STD_LOGIC_VECTOR (7 DOWNTO 0));

end example_top_binary;

ARCHITECTURE SCHEMATIC OF example_top_binary IS
   SIGNAL XLXN_1	:	STD_LOGIC_VECTOR (63 DOWNTO 0);
   SIGNAL XLXN_10	:	STD_LOGIC;
   SIGNAL XLXN_11	:	STD_LOGIC;
   SIGNAL XLXN_2	:	STD_LOGIC_VECTOR (7 DOWNTO 0);
   SIGNAL XLXN_24	:	STD_LOGIC;
   SIGNAL XLXN_3	:	STD_LOGIC_VECTOR (15 DOWNTO 0);
   SIGNAL XLXN_4	:	STD_LOGIC_VECTOR (15 DOWNTO 0);
   SIGNAL btns	:	STD_LOGIC_VECTOR (14 DOWNTO 0);
   SIGNAL clocks	:	STD_LOGIC_VECTOR (24 DOWNTO 0);

   ATTRIBUTE BOX_TYPE : STRING;

   COMPONENT dio2_interface
      PORT ( clk	:	IN	STD_LOGIC; 
             reset	:	IN	STD_LOGIC; 
             lcd_on	:	IN	STD_LOGIC; 
             sseg	:	IN	STD_LOGIC_VECTOR (15 DOWNTO 0); 
             dio	:	IN	STD_LOGIC_VECTOR (15 DOWNTO 0); 
             lcd	:	IN	STD_LOGIC_VECTOR (63 DOWNTO 0); 
             cs	:	OUT	STD_LOGIC; 
             we	:	OUT	STD_LOGIC; 
             oe	:	OUT	STD_LOGIC; 
             dio2clk	:	OUT	STD_LOGIC; 
             lcd_rw	:	OUT	STD_LOGIC; 
             lcd_rs	:	OUT	STD_LOGIC; 
             lcd_e	:	OUT	STD_LOGIC; 
             res	:	OUT	STD_LOGIC; 
             addr	:	OUT	STD_LOGIC_VECTOR (6 DOWNTO 0); 
             clocks	:	OUT	STD_LOGIC_VECTOR (24 DOWNTO 0); 
             btns	:	OUT	STD_LOGIC_VECTOR (14 DOWNTO 0); 
             swtch	:	OUT	STD_LOGIC_VECTOR (7 DOWNTO 0); 
             data	:	INOUT	STD_LOGIC_VECTOR (7 DOWNTO 0));
   END COMPONENT;

   COMPONENT example_core_binary
      PORT ( swtch	:	IN	STD_LOGIC_VECTOR (7 DOWNTO 0); 
             Button	:	IN	STD_LOGIC; 
             Reset	:	IN	STD_LOGIC; 
             CLK	:	IN	STD_LOGIC; 
             LCD	:	OUT	STD_LOGIC_VECTOR (63 DOWNTO 0); 
             dio	:	OUT	STD_LOGIC_VECTOR (15 DOWNTO 0); 
             sseg	:	OUT	STD_LOGIC_VECTOR (15 DOWNTO 0));
   END COMPONENT;

   COMPONENT IBUFG
      PORT ( I	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF IBUFG : COMPONENT IS "BLACK_BOX";
   COMPONENT VCC
      PORT ( P	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF VCC : COMPONENT IS "BLACK_BOX";
BEGIN

   XLXI_1 : dio2_interface
      PORT MAP (clk=>clk, reset=>XLXN_24, lcd_on=>XLXN_11,
      sseg(15)=>XLXN_4(15), sseg(14)=>XLXN_4(14), sseg(13)=>XLXN_4(13),
      sseg(12)=>XLXN_4(12), sseg(11)=>XLXN_4(11), sseg(10)=>XLXN_4(10),
      sseg(9)=>XLXN_4(9), sseg(8)=>XLXN_4(8), sseg(7)=>XLXN_4(7),
      sseg(6)=>XLXN_4(6), sseg(5)=>XLXN_4(5), sseg(4)=>XLXN_4(4),
      sseg(3)=>XLXN_4(3), sseg(2)=>XLXN_4(2), sseg(1)=>XLXN_4(1),
      sseg(0)=>XLXN_4(0), dio(15)=>XLXN_3(15), dio(14)=>XLXN_3(14),
      dio(13)=>XLXN_3(13), dio(12)=>XLXN_3(12), dio(11)=>XLXN_3(11),
      dio(10)=>XLXN_3(10), dio(9)=>XLXN_3(9), dio(8)=>XLXN_3(8),
      dio(7)=>XLXN_3(7), dio(6)=>XLXN_3(6), dio(5)=>XLXN_3(5),
      dio(4)=>XLXN_3(4), dio(3)=>XLXN_3(3), dio(2)=>XLXN_3(2),
      dio(1)=>XLXN_3(1), dio(0)=>XLXN_3(0), lcd(63)=>XLXN_1(63),
      lcd(62)=>XLXN_1(62), lcd(61)=>XLXN_1(61), lcd(60)=>XLXN_1(60),
      lcd(59)=>XLXN_1(59), lcd(58)=>XLXN_1(58), lcd(57)=>XLXN_1(57),
      lcd(56)=>XLXN_1(56), lcd(55)=>XLXN_1(55), lcd(54)=>XLXN_1(54),
      lcd(53)=>XLXN_1(53), lcd(52)=>XLXN_1(52), lcd(51)=>XLXN_1(51),
      lcd(50)=>XLXN_1(50), lcd(49)=>XLXN_1(49), lcd(48)=>XLXN_1(48),
      lcd(47)=>XLXN_1(47), lcd(46)=>XLXN_1(46), lcd(45)=>XLXN_1(45),
      lcd(44)=>XLXN_1(44), lcd(43)=>XLXN_1(43), lcd(42)=>XLXN_1(42),
      lcd(41)=>XLXN_1(41), lcd(40)=>XLXN_1(40), lcd(39)=>XLXN_1(39),
      lcd(38)=>XLXN_1(38), lcd(37)=>XLXN_1(37), lcd(36)=>XLXN_1(36),
      lcd(35)=>XLXN_1(35), lcd(34)=>XLXN_1(34), lcd(33)=>XLXN_1(33),
      lcd(32)=>XLXN_1(32), lcd(31)=>XLXN_1(31), lcd(30)=>XLXN_1(30),
      lcd(29)=>XLXN_1(29), lcd(28)=>XLXN_1(28), lcd(27)=>XLXN_1(27),
      lcd(26)=>XLXN_1(26), lcd(25)=>XLXN_1(25), lcd(24)=>XLXN_1(24),
      lcd(23)=>XLXN_1(23), lcd(22)=>XLXN_1(22), lcd(21)=>XLXN_1(21),
      lcd(20)=>XLXN_1(20), lcd(19)=>XLXN_1(19), lcd(18)=>XLXN_1(18),
      lcd(17)=>XLXN_1(17), lcd(16)=>XLXN_1(16), lcd(15)=>XLXN_1(15),
      lcd(14)=>XLXN_1(14), lcd(13)=>XLXN_1(13), lcd(12)=>XLXN_1(12),
      lcd(11)=>XLXN_1(11), lcd(10)=>XLXN_1(10), lcd(9)=>XLXN_1(9),
      lcd(8)=>XLXN_1(8), lcd(7)=>XLXN_1(7), lcd(6)=>XLXN_1(6),
      lcd(5)=>XLXN_1(5), lcd(4)=>XLXN_1(4), lcd(3)=>XLXN_1(3),
      lcd(2)=>XLXN_1(2), lcd(1)=>XLXN_1(1), lcd(0)=>XLXN_1(0), cs=>cs, we=>we,
      oe=>oe, dio2clk=>dio2clk, lcd_rw=>lcd_rw, lcd_rs=>lcd_rs, lcd_e=>lcd_e,
      res=>XLXN_10, addr(6)=>addr(6), addr(5)=>addr(5), addr(4)=>addr(4),
      addr(3)=>addr(3), addr(2)=>addr(2), addr(1)=>addr(1), addr(0)=>addr(0),
      clocks(24)=>clocks(24), clocks(23)=>clocks(23), clocks(22)=>clocks(22),
      clocks(21)=>clocks(21), clocks(20)=>clocks(20), clocks(19)=>clocks(19),
      clocks(18)=>clocks(18), clocks(17)=>clocks(17), clocks(16)=>clocks(16),
      clocks(15)=>clocks(15), clocks(14)=>clocks(14), clocks(13)=>clocks(13),
      clocks(12)=>clocks(12), clocks(11)=>clocks(11), clocks(10)=>clocks(10),
      clocks(9)=>clocks(9), clocks(8)=>clocks(8), clocks(7)=>clocks(7),
      clocks(6)=>clocks(6), clocks(5)=>clocks(5), clocks(4)=>clocks(4),
      clocks(3)=>clocks(3), clocks(2)=>clocks(2), clocks(1)=>clocks(1),
      clocks(0)=>clocks(0), btns(14)=>btns(14), btns(13)=>btns(13),
      btns(12)=>btns(12), btns(11)=>btns(11), btns(10)=>btns(10),
      btns(9)=>btns(9), btns(8)=>btns(8), btns(7)=>btns(7), btns(6)=>btns(6),
      btns(5)=>btns(5), btns(4)=>btns(4), btns(3)=>btns(3), btns(2)=>btns(2),
      btns(1)=>btns(1), btns(0)=>btns(0), swtch(7)=>XLXN_2(7),
      swtch(6)=>XLXN_2(6), swtch(5)=>XLXN_2(5), swtch(4)=>XLXN_2(4),
      swtch(3)=>XLXN_2(3), swtch(2)=>XLXN_2(2), swtch(1)=>XLXN_2(1),
      swtch(0)=>XLXN_2(0), data(7)=>data(7), data(6)=>data(6),
      data(5)=>data(5), data(4)=>data(4), data(3)=>data(3), data(2)=>data(2),
      data(1)=>data(1), data(0)=>data(0));

   XLXI_6 : example_core_binary
      PORT MAP (swtch(7)=>XLXN_2(7), swtch(6)=>XLXN_2(6), swtch(5)=>XLXN_2(5),
      swtch(4)=>XLXN_2(4), swtch(3)=>XLXN_2(3), swtch(2)=>XLXN_2(2),
      swtch(1)=>XLXN_2(1), swtch(0)=>XLXN_2(0), Button=>btns(0),
      Reset=>XLXN_10, CLK=>clocks(16), LCD(63)=>XLXN_1(63),
      LCD(62)=>XLXN_1(62), LCD(61)=>XLXN_1(61), LCD(60)=>XLXN_1(60),
      LCD(59)=>XLXN_1(59), LCD(58)=>XLXN_1(58), LCD(57)=>XLXN_1(57),
      LCD(56)=>XLXN_1(56), LCD(55)=>XLXN_1(55), LCD(54)=>XLXN_1(54),
      LCD(53)=>XLXN_1(53), LCD(52)=>XLXN_1(52), LCD(51)=>XLXN_1(51),
      LCD(50)=>XLXN_1(50), LCD(49)=>XLXN_1(49), LCD(48)=>XLXN_1(48),
      LCD(47)=>XLXN_1(47), LCD(46)=>XLXN_1(46), LCD(45)=>XLXN_1(45),
      LCD(44)=>XLXN_1(44), LCD(43)=>XLXN_1(43), LCD(42)=>XLXN_1(42),
      LCD(41)=>XLXN_1(41), LCD(40)=>XLXN_1(40), LCD(39)=>XLXN_1(39),
      LCD(38)=>XLXN_1(38), LCD(37)=>XLXN_1(37), LCD(36)=>XLXN_1(36),
      LCD(35)=>XLXN_1(35), LCD(34)=>XLXN_1(34), LCD(33)=>XLXN_1(33),
      LCD(32)=>XLXN_1(32), LCD(31)=>XLXN_1(31), LCD(30)=>XLXN_1(30),
      LCD(29)=>XLXN_1(29), LCD(28)=>XLXN_1(28), LCD(27)=>XLXN_1(27),
      LCD(26)=>XLXN_1(26), LCD(25)=>XLXN_1(25), LCD(24)=>XLXN_1(24),
      LCD(23)=>XLXN_1(23), LCD(22)=>XLXN_1(22), LCD(21)=>XLXN_1(21),
      LCD(20)=>XLXN_1(20), LCD(19)=>XLXN_1(19), LCD(18)=>XLXN_1(18),
      LCD(17)=>XLXN_1(17), LCD(16)=>XLXN_1(16), LCD(15)=>XLXN_1(15),
      LCD(14)=>XLXN_1(14), LCD(13)=>XLXN_1(13), LCD(12)=>XLXN_1(12),
      LCD(11)=>XLXN_1(11), LCD(10)=>XLXN_1(10), LCD(9)=>XLXN_1(9),
      LCD(8)=>XLXN_1(8), LCD(7)=>XLXN_1(7), LCD(6)=>XLXN_1(6),
      LCD(5)=>XLXN_1(5), LCD(4)=>XLXN_1(4), LCD(3)=>XLXN_1(3),
      LCD(2)=>XLXN_1(2), LCD(1)=>XLXN_1(1), LCD(0)=>XLXN_1(0),
      dio(15)=>XLXN_3(15), dio(14)=>XLXN_3(14), dio(13)=>XLXN_3(13),
      dio(12)=>XLXN_3(12), dio(11)=>XLXN_3(11), dio(10)=>XLXN_3(10),
      dio(9)=>XLXN_3(9), dio(8)=>XLXN_3(8), dio(7)=>XLXN_3(7),
      dio(6)=>XLXN_3(6), dio(5)=>XLXN_3(5), dio(4)=>XLXN_3(4),
      dio(3)=>XLXN_3(3), dio(2)=>XLXN_3(2), dio(1)=>XLXN_3(1),
      dio(0)=>XLXN_3(0), sseg(15)=>XLXN_4(15), sseg(14)=>XLXN_4(14),
      sseg(13)=>XLXN_4(13), sseg(12)=>XLXN_4(12), sseg(11)=>XLXN_4(11),
      sseg(10)=>XLXN_4(10), sseg(9)=>XLXN_4(9), sseg(8)=>XLXN_4(8),
      sseg(7)=>XLXN_4(7), sseg(6)=>XLXN_4(6), sseg(5)=>XLXN_4(5),
      sseg(4)=>XLXN_4(4), sseg(3)=>XLXN_4(3), sseg(2)=>XLXN_4(2),
      sseg(1)=>XLXN_4(1), sseg(0)=>XLXN_4(0));

   XLXI_4 : IBUFG
      PORT MAP (I=>reset, O=>XLXN_24);

   XLXI_3 : VCC
      PORT MAP (P=>XLXN_11);

END SCHEMATIC;



